package com.example;

import java.io.Serializable;

public class TransactionInfo implements Serializable {
    private String name;
    private String location;
    private double amount;
    public TransactionInfo()
    {}

    public TransactionInfo(String name, String location, double amount) {
        this.name = name;
        this.location = location;
        this.amount = amount;
    }
    public TransactionInfo(String location, double amount) {
        this.location = location;
        this.amount = amount;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public double getAmount() {
        return amount;
    }

    public void setAmount(double amount) {
        this.amount = amount;
    }
    @Override
    public String toString() {
        return "TransactionInfo{" +
                "name='" + name + '\'' +
                ", location='" + location + '\'' +
                ", amount=" + amount +
                '}';
    }
}